import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    a: number;
    b: number;
}
export interface O<T> {
    min: number;
}
export default class Min<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ a, b }: I<T>, done: any): void;
}
